Deployments.ai Docs
Alerts

Send a test alert to yourself and the monitor's webhooks

POST /v1/monitors/{id}/test · SDK testMonitor · CLI deployments monitor test

POST
/v1/monitors/{id}/test

Requires monitors:write.

Authorization

platformBearer
headerAuthorizationBearer <token>

Platform bearer credential accepted as an opaque API key or JWT.

Path Parameters

id*string
Match^[0-7][0-9A-HJKMNP-TV-Z]{25}$

Header Parameters

x-deployments-organization*string
Match^[0-7][0-9A-HJKMNP-TV-Z]{25}$
idempotency-key?string
Length1 <= length <= 512

Response Body

TestMonitorResponse

application/json
  1. response
eventId*string
Match^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$
curl -X POST "https://example.com/v1/monitors/string/test" \  -H "x-deployments-organization: string"
{  "eventId": "string"}